Bug 493849 - S-c-tools cleanup: use frames without borders, using bold labels, spacing and indetation.
S-c-tools cleanup: use frames without borders, using bold labels, spacing and...
Status: NEW
Product: Fedora
Classification: Fedora
Component: system-switch-mail (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks: 493617
  Show dependency treegraph
 
Reported: 2009-04-03 06:02 EDT by Roman Rakus
Modified: 2014-01-12 19:15 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Proposed patch that removes the frame (2.89 KB, patch)
2009-08-03 09:51 EDT, Radek Novacek
no flags Details | Diff

  None (edit)
Description Roman Rakus 2009-04-03 06:02:05 EDT
Description of problem:
Frames with a border around their perimeter have traditionally been used for denoting groups of related controls. This is advantageous because it physically seperates disimilar controls, and also avoids repitition of the frame's label in individual member control labels. Unfortunately, they add visual noise that can both make a window appear more complex than it really is, and reduce the ability to quickly scan window elements.

Rather than using bordered frames, use frames without borders, bold labels to make the categories stand out, and indented contents. This, combined with good layout and spacing, is usually a better alternative to bordered.

How reproducible:


Steps to Reproduce:
1. invoke any dialog using frames

Actual results:
Frames with borders.

Expected results:
Frames without borders, using bold labels, spacing and indentation.

Additional info:
Look at GNOME Human Interface Guidelines 2.2 [1]

[1] http://library.gnome.org/devel/hig-book/stable/controls-frames.html.en
Comment 1 Radek Novacek 2009-08-03 09:51:24 EDT
Created attachment 356028 [details]
Proposed patch that removes the frame

Note You need to log in before you can comment on or make changes to this bug.